CUDA Driver API (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 5.4. Version Management

This section describes the version management functions of the low-level CUDA driver application programming interface.

### Functions

CUresult cuDriverGetVersion ( int* driverVersion )
  Returns the latest CUDA version supported by driver.

### Functions

CUresult cuDriverGetVersion ( int* driverVersion )
  Returns the latest CUDA version supported by driver.

  ###### Parameters

  `driverVersion`
    - Returns the CUDA driver version

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE

  ###### Description

  Returns in `*driverVersion` the version of CUDA supported by the driver. The version is returned as (1000 major + 10 minor). For example, CUDA 9.2 would be represented by 9020.

  This function automatically returns CUDA_ERROR_INVALID_VALUE if `driverVersion` is NULL.

  Note:

  Note that this function may also return error codes from previous, asynchronous launches.

  See also:

  cudaDriverGetVersion, cudaRuntimeGetVersion